//
//  Parameters.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#ifndef Parameters_hh
#define Parameters_hh

#include <stdio.h>

class Parameters
{
private:
    /* Here will be the instance stored. */
    static Parameters* instance;
    
    /* Private constructor to prevent instancing. */
    Parameters();
    
    int ParticleEnergy;
    int pgundegree;
    
public:
    /* Static access method. */
    static Parameters* getInstance();
    
    int GetParticleEnergy();
    int GetDegree();
    
    void SetParticleEnergy(int);
    void SetDegree(int);
};

#endif /* Parameters_hh */
